Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.frameworks.taskwizard
Class TreeCompoundTask

    java.lang.Object
      org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
          org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask
              org.eclipse.birt.core.ui.frameworks.taskwizard.TreeCompoundTask

All Implemented Interfaces:
  ITask

    public class TreeCompoundTask

extends CompoundTask

Compound task realized for tree navigator.

Field Summary
`protected Composite` | `cmpSubtaskContainer`
`protected static java.lang.String` | `INDEX_SEPARATOR`
`protected NavTree` | `navTree`

Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask
`sCurrentTaskSheet`

Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
`container, context, topControl`

Constructor Summary
`TreeCompoundTask(java.lang.String sLabel, boolean needHistory)` Constructor

Method Summary
`protected boolean` | `containSubtask(java.lang.String sSubtaskPath)`
`protected Composite` | `createContainer(Composite parent)` Creates the UI in the right of tree navigator
`void` | `createControl(Composite parent)`
`protected void` | `createSubtaskArea(Composite parent, ISubtaskSheet subtask)`
`protected Composite` | `createTitleArea(Composite parent)` Creates the compound task's title area.
`void` | `dispose()`
`protected TreeItem` | `getDefaultSelection()`
`NavTree` | `getNavigatorTree()`
`protected java.lang.String` | `getPopupSelection()`
`protected ISubtaskSheet` | `getSubtask(java.lang.String sSubtaskPath)`
`protected java.lang.String` | `getSubtaskSelection()`
`protected java.lang.String` | `getTitleAreaString()`
`protected void` | `populateSubtasks()`
`void` | `setPopupSelection(java.lang.String popupName)` Stores the last popup selection to open in the next time.
`protected void` | `setSubtaskSelection(java.lang.String subtaskPath)`
`void` | `switchTo(java.lang.String sSubtaskPath)`
`protected void` | `switchTo(java.lang.String sSubtaskPath, boolean needSelection)`
`protected void` | `switchToDefaultItem()`
`void` | `switchToTreeItem(TreeItem treeItem)` Switches to the specified subtask and sets the selection
`void` | `updateTree()` Updates left tree which contains all page nodes.
`protected void` | `updateTreeItem()`

Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask
`addSubtask, getCurrentSubtask, removeSubtask`

Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
`addError, getContext, getControl, getDescription, getErrorMessage, getErrors, getImage, getMessage, getTitle, performHelp, removeError, setContext, setDescription, setErrorHints, setImageDescriptor, setTitle, setUIProvider, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cmpSubtaskContainer

    protected Composite cmpSubtaskContainer

### navTree

    protected NavTree navTree

### INDEX_SEPARATOR

    protected static final java.lang.String INDEX_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### TreeCompoundTask

    public TreeCompoundTask(java.lang.String sLabel,
                            boolean needHistory)

  Constructor

  Parameters:
    `sLabel` - Title of this task
    `needHistory` - Indicates whether history and navigation bar are needed

Method Detail

### createControl

    public void createControl(Composite parent)

  Overrides:
    `createControl` in class `SimpleTask`

### switchToDefaultItem

    protected void switchToDefaultItem()

### getDefaultSelection

    protected TreeItem getDefaultSelection()

### createContainer

    protected Composite createContainer(Composite parent)

  Creates the UI in the right of tree navigator

  Parameters:
    `parent` - parent composite
  Returns:
    top composite of the right part

### createTitleArea

    protected Composite createTitleArea(Composite parent)

  Creates the compound task's title area.

  Parameters:
    `parent` - the SWT parent for the title area composite.
  Returns:
    the created title area composite.

### getTitleAreaString

    protected java.lang.String getTitleAreaString()

### populateSubtasks

    protected void populateSubtasks()

### updateTreeItem

    protected void updateTreeItem()

### updateTree

    public void updateTree()

  Updates left tree which contains all page nodes.

  Since:
    2.3

### getSubtask

    protected ISubtaskSheet getSubtask(java.lang.String sSubtaskPath)

  Overrides:
    `getSubtask` in class `CompoundTask`

### containSubtask

    protected boolean containSubtask(java.lang.String sSubtaskPath)

  Overrides:
    `containSubtask` in class `CompoundTask`

### switchTo

    protected void switchTo(java.lang.String sSubtaskPath,
                            boolean needSelection)

### switchTo

    public void switchTo(java.lang.String sSubtaskPath)

  Overrides:
    `switchTo` in class `CompoundTask`

### switchToTreeItem

    public void switchToTreeItem(TreeItem treeItem)

  Switches to the specified subtask and sets the selection

  Parameters:
    `treeItem` - Tree item corresponded to the subtask

### createSubtaskArea

    protected void createSubtaskArea(Composite parent,
                                     ISubtaskSheet subtask)

### getNavigatorTree

    public NavTree getNavigatorTree()

### setPopupSelection

    public void setPopupSelection(java.lang.String popupName)

  Stores the last popup selection to open in the next time. If this selection is not existent in current subtask, to open the popup stored in the subtask.

  Parameters:
    `popupName` - popup key registered in the subtask.

### getPopupSelection

    protected java.lang.String getPopupSelection()

### setSubtaskSelection

    protected void setSubtaskSelection(java.lang.String subtaskPath)

### getSubtaskSelection

    protected java.lang.String getSubtaskSelection()

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `CompoundTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.